commit:     be3a7b2afb286c6018bc72bb2333cb773e9daad0
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Fri Nov 26 20:52:48 2021 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Fri Nov 26 20:52:48 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be3a7b2a

dev-libs/libcbor: Version bump

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-libs/libcbor/Manifest             |  1 +
 dev-libs/libcbor/libcbor-0.9.0.ebuild | 68 +++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/dev-libs/libcbor/Manifest b/dev-libs/libcbor/Manifest
index 74840a9ab218..e77da9690b99 100644
--- a/dev-libs/libcbor/Manifest
+++ b/dev-libs/libcbor/Manifest
@@ -1 +1,2 @@
 DIST libcbor-0.8.0.tar.gz 267044 BLAKE2B 
e8548e7351984ebdcbeb5f13a7ca35412c3f3f05e2a44a5438d57b90bdcdc51f5265953163106f90ade911a96af665956ebeba7ed1c48cf207acf6d683af5606
 SHA512 
694d2d3a78d80072f96e0afb73590ca1f3572e41d2117330ef4313ed06271743b048d3ba3259c6ffe9a802d5e441379d0e54787d1d42fed08dc81ac4f06c6dbc
+DIST libcbor-0.9.0.tar.gz 275405 BLAKE2B 
7e78722650c702552dda4844615c454989281abe8c45ba3c9168af16e9d440a1b7e4e0c9afd89faa48e74ba85dcbe0c7733eec3e44fdafc0ca340e97574fe274
 SHA512 
710239f69d770212a82e933e59df1aba0fb3ec516ef6666a366f30a950565a52981b0d46ca7e0eea739f5785d79cc21fc19acd857a4a0b135f4f6aa3ef5fd3b0

diff --git a/dev-libs/libcbor/libcbor-0.9.0.ebuild 
b/dev-libs/libcbor/libcbor-0.9.0.ebuild
new file mode 100644
index 000000000000..2c1723006aef
--- /dev/null
+++ b/dev-libs/libcbor/libcbor-0.9.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+CMAKE_MAKEFILE_GENERATOR="emake"
+PYTHON_COMPAT=( python3_{8..10} )
+inherit python-any-r1 cmake
+
+DESCRIPTION="CBOR protocol implementation for C and others"
+HOMEPAGE="https://github.com/pjk/libcbor";
+SRC_URI="https://github.com/PJK/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86"
+IUSE="+custom-alloc doc test"
+
+BDEPEND="
+       doc? (
+               $(python_gen_any_dep '
+                       dev-python/sphinx[${PYTHON_USEDEP}]
+                       dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+                       dev-python/breathe[${PYTHON_USEDEP}]
+               ')
+       )
+       test? ( dev-util/cmocka )
+"
+
+RESTRICT="!test? ( test )"
+
+python_check_deps() {
+       has_version "dev-python/sphinx[${PYTHON_USEDEP}]" && \
+               has_version "dev-python/breathe[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+       use doc && python-any-r1_pkg_setup
+}
+
+src_configure() {
+       local -a mycmakeargs=(
+               -DCMAKE_BUILD_TYPE=Release
+               -DCBOR_CUSTOM_ALLOC=$(usex custom-alloc 'ON' 'OFF')
+               -DWITH_TESTS=$(usex test 'ON' 'OFF')
+       )
+
+       cmake_src_configure
+}
+
+src_compile() {
+       cmake_src_compile
+
+       if use doc; then
+               pushd doc >/dev/null || die
+               emake html man
+               popd >/dev/null || die
+       fi
+}
+
+src_install() {
+       cmake_src_install
+
+       if use doc; then
+               dodoc -r doc/build/html
+               doman doc/build/man/*
+       fi
+}

Reply via email to